DK API 文档

douyin 01

15 个接口

GETfetch brand hot search list

GET https://dkai.store/api/v1/douyin/app/v3/fetch_brand_hot_search_list

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/app/v3/fetch_brand_hot_search_list'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch brand hot search list detail

GET https://dkai.store/api/v1/douyin/app/v3/fetch_brand_hot_search_list_detail

1 积分 / 成功调用

参数位置要求说明
category_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/app/v3/fetch_brand_hot_search_list_detail?category_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch hashtag detail

GET https://dkai.store/api/v1/douyin/app/v3/fetch_hashtag_detail

1 积分 / 成功调用

参数位置要求说明
ch_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/app/v3/fetch_hashtag_detail?ch_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch hashtag video list

GET https://dkai.store/api/v1/douyin/app/v3/fetch_hashtag_video_list

1 积分 / 成功调用

参数位置要求说明
ch_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/app/v3/fetch_hashtag_video_list?ch_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch hot search list

GET https://dkai.store/api/v1/douyin/app/v3/fetch_hot_search_list

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/app/v3/fetch_hot_search_list'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch live hot search list

GET https://dkai.store/api/v1/douyin/app/v3/fetch_live_hot_search_list

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/app/v3/fetch_live_hot_search_list'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTfetch multi video

POST https://dkai.store/api/v1/douyin/app/v3/fetch_multi_video

9 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch multi video statistics

GET https://dkai.store/api/v1/douyin/app/v3/fetch_multi_video_statistics

22 积分 / 成功调用

参数位置要求说明
aweme_idsquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/app/v3/fetch_multi_video_statistics?aweme_ids=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTfetch multi video v2

POST https://dkai.store/api/v1/douyin/app/v3/fetch_multi_video_v2

44 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch music detail

GET https://dkai.store/api/v1/douyin/app/v3/fetch_music_detail

1 积分 / 成功调用

参数位置要求说明
music_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/app/v3/fetch_music_detail?music_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch music hot search list

GET https://dkai.store/api/v1/douyin/app/v3/fetch_music_hot_search_list

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/app/v3/fetch_music_hot_search_list'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch music video list

GET https://dkai.store/api/v1/douyin/app/v3/fetch_music_video_list

1 积分 / 成功调用

参数位置要求说明
music_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/app/v3/fetch_music_video_list?music_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch one video

GET https://dkai.store/api/v1/douyin/app/v3/fetch_one_video

1 积分 / 成功调用

参数位置要求说明
aweme_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/app/v3/fetch_one_video?aweme_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch one video by share url

GET https://dkai.store/api/v1/douyin/app/v3/fetch_one_video_by_share_url

1 积分 / 成功调用

参数位置要求说明
share_urlquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/app/v3/fetch_one_video_by_share_url?share_url=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch one video v2

GET https://dkai.store/api/v1/douyin/app/v3/fetch_one_video_v2

1 积分 / 成功调用

参数位置要求说明
aweme_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/app/v3/fetch_one_video_v2?aweme_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。